diff --git a/docs/LICENSE b/docs/LICENSE
new file mode 100644
--- /dev/null
+++ b/docs/LICENSE
@@ -0,0 +1,3 @@
+The documentation for testCloud contained in the docs/ directory is licensed
+under the Creative Commons Attribution 4.0 International License. To view a
+copy of this license, visit http://creativecommons.org/licenses/by/4.0/
diff --git a/docs/Makefile b/docs/Makefile
new file mode 100644
--- /dev/null
+++ b/docs/Makefile
@@ -0,0 +1,177 @@
+# Makefile for Sphinx documentation
+#
+
+# You can set these variables from the command line.
+SPHINXOPTS    =
+SPHINXBUILD   = sphinx-build
+PAPER         =
+BUILDDIR      = build
+
+# User-friendly check for sphinx-build
+ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+endif
+
+# Internal variables.
+PAPEROPT_a4     = -D latex_paper_size=a4
+PAPEROPT_letter = -D latex_paper_size=letter
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+# the i18n builder cannot share the environment and doctrees with the others
+I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
+
+help:
+	@echo "Please use \`make <target>' where <target> is one of"
+	@echo "  html       to make standalone HTML files"
+	@echo "  dirhtml    to make HTML files named index.html in directories"
+	@echo "  singlehtml to make a single large HTML file"
+	@echo "  pickle     to make pickle files"
+	@echo "  json       to make JSON files"
+	@echo "  htmlhelp   to make HTML files and a HTML help project"
+	@echo "  qthelp     to make HTML files and a qthelp project"
+	@echo "  devhelp    to make HTML files and a Devhelp project"
+	@echo "  epub       to make an epub"
+	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
+	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
+	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
+	@echo "  text       to make text files"
+	@echo "  man        to make manual pages"
+	@echo "  texinfo    to make Texinfo files"
+	@echo "  info       to make Texinfo files and run them through makeinfo"
+	@echo "  gettext    to make PO message catalogs"
+	@echo "  changes    to make an overview of all changed/added/deprecated items"
+	@echo "  xml        to make Docutils-native XML files"
+	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
+	@echo "  linkcheck  to check all external links for integrity"
+	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
+
+clean:
+	rm -rf $(BUILDDIR)/*
+
+html:
+	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+dirhtml:
+	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
+
+singlehtml:
+	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
+	@echo
+	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
+
+pickle:
+	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
+	@echo
+	@echo "Build finished; now you can process the pickle files."
+
+json:
+	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
+	@echo
+	@echo "Build finished; now you can process the JSON files."
+
+htmlhelp:
+	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
+	@echo
+	@echo "Build finished; now you can run HTML Help Workshop with the" \
+	      ".hhp project file in $(BUILDDIR)/htmlhelp."
+
+qthelp:
+	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
+	@echo
+	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
+	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/testCloud.qhcp"
+	@echo "To view the help file:"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/testCloud.qhc"
+
+devhelp:
+	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
+	@echo
+	@echo "Build finished."
+	@echo "To view the help file:"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/testCloud"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/testCloud"
+	@echo "# devhelp"
+
+epub:
+	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
+	@echo
+	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
+
+latex:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo
+	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
+	@echo "Run \`make' in that directory to run these through (pdf)latex" \
+	      "(use \`make latexpdf' here to do that automatically)."
+
+latexpdf:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through pdflatex..."
+	$(MAKE) -C $(BUILDDIR)/latex all-pdf
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
+latexpdfja:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through platex and dvipdfmx..."
+	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
+text:
+	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
+	@echo
+	@echo "Build finished. The text files are in $(BUILDDIR)/text."
+
+man:
+	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
+	@echo
+	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
+
+texinfo:
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
+	@echo
+	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
+	@echo "Run \`make' in that directory to run these through makeinfo" \
+	      "(use \`make info' here to do that automatically)."
+
+info:
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
+	@echo "Running Texinfo files through makeinfo..."
+	make -C $(BUILDDIR)/texinfo info
+	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
+
+gettext:
+	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
+	@echo
+	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."
+
+changes:
+	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
+	@echo
+	@echo "The overview file is in $(BUILDDIR)/changes."
+
+linkcheck:
+	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
+	@echo
+	@echo "Link check complete; look for any errors in the above output " \
+	      "or in $(BUILDDIR)/linkcheck/output.txt."
+
+doctest:
+	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
+	@echo "Testing of doctests in the sources finished, look at the " \
+	      "results in $(BUILDDIR)/doctest/output.txt."
+
+xml:
+	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
+	@echo
+	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."
+
+pseudoxml:
+	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
+	@echo
+	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
diff --git a/docs/source/api.rst b/docs/source/api.rst
new file mode 100644
--- /dev/null
+++ b/docs/source/api.rst
@@ -0,0 +1,32 @@
+.. This work is licensed under the Creative Commons Attribution 4.0
+   International License. To view a copy of this license, visit
+   http://creativecommons.org/licenses/by/4.0/.
+
+================
+testCloud API
+================
+
+
+instance
+========
+
+.. automodule:: testCloud.instance
+   :members:
+
+image
+=====
+
+.. automodule:: testCloud.image
+   :members:
+
+util
+====
+
+.. automodule:: testCloud.util
+   :members:
+
+cli
+====
+
+.. automodule:: testCloud.cli
+   :members:
diff --git a/docs/source/conf.py b/docs/source/conf.py
new file mode 100644
--- /dev/null
+++ b/docs/source/conf.py
@@ -0,0 +1,262 @@
+# -*- coding: utf-8 -*-
+#
+# testCloud documentation build configuration file, created by
+# sphinx-quickstart on Wed May 20 14:59:21 2015.
+#
+# This file is execfile()d with the current directory set to its
+# containing dir.
+#
+# Note that not all possible configuration values are present in this
+# autogenerated file.
+#
+# All configuration values have a default; values that are commented out
+# serve to show the default.
+
+import sys
+import os
+
+# If extensions (or modules to document with autodoc) are in another directory,
+# add these directories to sys.path here. If the directory is relative to the
+# documentation root, use os.path.abspath to make it absolute, like shown here.
+sys.path.insert(0, os.path.abspath('../../'))
+
+# -- General configuration ------------------------------------------------
+
+# If your documentation needs a minimal Sphinx version, state it here.
+#needs_sphinx = '1.0'
+
+# Add any Sphinx extension module names here, as strings. They can be
+# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
+# ones.
+extensions = [
+    'sphinx.ext.autodoc',
+    'sphinx.ext.todo',
+    'sphinx.ext.viewcode',
+]
+
+# Add any paths that contain templates here, relative to this directory.
+templates_path = ['_templates']
+
+# The suffix of source filenames.
+source_suffix = '.rst'
+
+# The encoding of source files.
+#source_encoding = 'utf-8-sig'
+
+# The master toctree document.
+master_doc = 'index'
+
+# General information about the project.
+project = u'testCloud'
+copyright = u'2015, testCloud devs'
+
+# The version info for the project you're documenting, acts as replacement for
+# |version| and |release|, also used in various other places throughout the
+# built documents.
+#
+# The short X.Y version.
+version = '0.0.1'
+# The full version, including alpha/beta/rc tags.
+release = '0.0.1'
+
+# The language for content autogenerated by Sphinx. Refer to documentation
+# for a list of supported languages.
+#language = None
+
+# There are two options for replacing |today|: either, you set today to some
+# non-false value, then it is used:
+#today = ''
+# Else, today_fmt is used as the format for a strftime call.
+#today_fmt = '%B %d, %Y'
+
+# List of patterns, relative to source directory, that match files and
+# directories to ignore when looking for source files.
+exclude_patterns = []
+
+# The reST default role (used for this markup: `text`) to use for all
+# documents.
+#default_role = None
+
+# If true, '()' will be appended to :func: etc. cross-reference text.
+#add_function_parentheses = True
+
+# If true, the current module name will be prepended to all description
+# unit titles (such as .. function::).
+#add_module_names = True
+
+# If true, sectionauthor and moduleauthor directives will be shown in the
+# output. They are ignored by default.
+#show_authors = False
+
+# The name of the Pygments (syntax highlighting) style to use.
+pygments_style = 'sphinx'
+
+# A list of ignored prefixes for module index sorting.
+#modindex_common_prefix = []
+
+# If true, keep warnings as "system message" paragraphs in the built documents.
+#keep_warnings = False
+
+
+# -- Options for HTML output ----------------------------------------------
+
+# The theme to use for HTML and HTML Help pages.  See the documentation for
+# a list of builtin themes.
+html_theme = 'nature'
+
+# Theme options are theme-specific and customize the look and feel of a theme
+# further.  For a list of options available for each theme, see the
+# documentation.
+#html_theme_options = {}
+
+# Add any paths that contain custom themes here, relative to this directory.
+#html_theme_path = []
+
+# The name for this set of Sphinx documents.  If None, it defaults to
+# "<project> v<release> documentation".
+#html_title = None
+
+# A shorter title for the navigation bar.  Default is the same as html_title.
+#html_short_title = None
+
+# The name of an image file (relative to this directory) to place at the top
+# of the sidebar.
+#html_logo = None
+
+# The name of an image file (within the static path) to use as favicon of the
+# docs.  This file should be a Windows icon file (.ico) being 16x16 or 32x32
+# pixels large.
+#html_favicon = None
+
+# Add any paths that contain custom static files (such as style sheets) here,
+# relative to this directory. They are copied after the builtin static files,
+# so a file named "default.css" will overwrite the builtin "default.css".
+html_static_path = ['_static']
+
+# Add any extra paths that contain custom files (such as robots.txt or
+# .htaccess) here, relative to this directory. These files are copied
+# directly to the root of the documentation.
+#html_extra_path = []
+
+# If not '', a 'Last updated on:' timestamp is inserted at every page bottom,
+# using the given strftime format.
+#html_last_updated_fmt = '%b %d, %Y'
+
+# If true, SmartyPants will be used to convert quotes and dashes to
+# typographically correct entities.
+#html_use_smartypants = True
+
+# Custom sidebar templates, maps document names to template names.
+#html_sidebars = {}
+
+# Additional templates that should be rendered to pages, maps page names to
+# template names.
+#html_additional_pages = {}
+
+# If false, no module index is generated.
+#html_domain_indices = True
+
+# If false, no index is generated.
+#html_use_index = True
+
+# If true, the index is split into individual pages for each letter.
+#html_split_index = False
+
+# If true, links to the reST sources are added to the pages.
+#html_show_sourcelink = True
+
+# If true, "Created using Sphinx" is shown in the HTML footer. Default is True.
+#html_show_sphinx = True
+
+# If true, "(C) Copyright ..." is shown in the HTML footer. Default is True.
+#html_show_copyright = True
+
+# If true, an OpenSearch description file will be output, and all pages will
+# contain a <link> tag referring to it.  The value of this option must be the
+# base URL from which the finished HTML is served.
+#html_use_opensearch = ''
+
+# This is the file name suffix for HTML files (e.g. ".xhtml").
+#html_file_suffix = None
+
+# Output file base name for HTML help builder.
+htmlhelp_basename = 'testClouddoc'
+
+
+# -- Options for LaTeX output ---------------------------------------------
+
+latex_elements = {
+# The paper size ('letterpaper' or 'a4paper').
+#'papersize': 'letterpaper',
+
+# The font size ('10pt', '11pt' or '12pt').
+#'pointsize': '10pt',
+
+# Additional stuff for the LaTeX preamble.
+#'preamble': '',
+}
+
+# Grouping the document tree into LaTeX files. List of tuples
+# (source start file, target name, title,
+#  author, documentclass [howto, manual, or own class]).
+latex_documents = [
+  ('index', 'testCloud.tex', u'testCloud Documentation',
+   u'testCloud devs', 'manual'),
+]
+
+# The name of an image file (relative to this directory) to place at the top of
+# the title page.
+#latex_logo = None
+
+# For "manual" documents, if this is true, then toplevel headings are parts,
+# not chapters.
+#latex_use_parts = False
+
+# If true, show page references after internal links.
+#latex_show_pagerefs = False
+
+# If true, show URL addresses after external links.
+#latex_show_urls = False
+
+# Documents to append as an appendix to all manuals.
+#latex_appendices = []
+
+# If false, no module index is generated.
+#latex_domain_indices = True
+
+
+# -- Options for manual page output ---------------------------------------
+
+# One entry per manual page. List of tuples
+# (source start file, name, description, authors, manual section).
+man_pages = [
+    ('index', 'testcloud', u'testCloud Documentation',
+     [u'testCloud devs'], 1)
+]
+
+# If true, show URL addresses after external links.
+#man_show_urls = False
+
+
+# -- Options for Texinfo output -------------------------------------------
+
+# Grouping the document tree into Texinfo files. List of tuples
+# (source start file, target name, title, author,
+#  dir menu entry, description, category)
+texinfo_documents = [
+  ('index', 'testCloud', u'testCloud Documentation',
+   u'testCloud devs', 'testCloud', 'One line description of project.',
+   'Miscellaneous'),
+]
+
+# Documents to append as an appendix to all manuals.
+#texinfo_appendices = []
+
+# If false, no module index is generated.
+#texinfo_domain_indices = True
+
+# How to display URL addresses: 'footnote', 'no', or 'inline'.
+#texinfo_show_urls = 'footnote'
+
+# If true, do not generate a @detailmenu in the "Top" node's menu.
+#texinfo_no_detailmenu = False
diff --git a/docs/source/indepth.rst b/docs/source/indepth.rst
new file mode 100644
--- /dev/null
+++ b/docs/source/indepth.rst
@@ -0,0 +1,108 @@
+.. This work is licensed under the Creative Commons Attribution 4.0
+   International License. To view a copy of this license, visit
+   http://creativecommons.org/licenses/by/4.0/.
+
+===================
+testCloud, in Depth
+===================
+
+The best way to understand exactly what testCloud is doing is to read through
+the code but the following is a more human-comprehension-friendly method of
+describing many of the details regarding how testCloud works.
+
+
+Instances and Images
+====================
+
+Two of the more important higher-level concepts in testCloud are what we refer
+to as Instances and Images.
+
+testcloud Image
+---------------
+
+At this point, testCloud only supports qcow2 cloud images made from relatively
+recent Fedora releases. There are plans to support more distros and more image
+types in the future.
+
+The image is representation of a cloud image, where it was downloaded from, how
+to download the image and where it lives on the local filesystem. At this time,
+images are assumed to already be downloaded if another image sharing the exact
+same filename already exists - not the most resilient method ever conceived but
+it does work in most cases.
+
+testCloud Instance
+------------------
+
+A reasonable description of a testCloud instance is that it is a cloud image
+backed virtual machine. This virtual machine can be created, stopped, started
+or destroyed using the CLI interface from testCloud.
+
+testCloud instances make heavy use of `libvirt <http://libvirt.org/>`_ and
+virt-install, part of the `virt-manager <http://virt-manager.org/>`_ application.
+
+General Process
+===============
+
+Each instance has its own directory in the ``DATA_DIR`` and the tuple of
+(``INSTANCE_NAME``. ``IMAGE_FILENAME``) is considered to be unique. This method
+of delineating unique instances isn't perfect (should probably use image hash
+instead of filename) but it works well enough for now
+
+
+Directories and Files
+=====================
+
+Globally, testCloud requires a few directories for storing images and instance
+metadata.
+
+``/var/lib/testCloud/``
+  testCloud stores its data in here
+
+``/var/lib/testCloud/cache``
+  default location for cached images
+
+``/var/lib/testCloud/instances``
+  every instance has a unique directory, stored in here
+
+
+Outside of the global directories, each instance has a directory (sharing the
+instance name) inside ``/var/lib/testCloud/instances/``.
+
+
+``/var/lib/testCloud/instances/<instancename>/``
+  Directory to hold instance-specific data
+
+``/var/lib/testCloud/instances/<instancename>/<instancename>-base.qcow2``
+  copy-on-write image used as a backing store for the instance - this doesn't
+  store the entire image - just the changes made from the base image the instance
+  has been booted from
+
+``/var/lib/testCloud/instances/<instancename>/<instancename>-seed.img``
+  image holding cloud-init source data used on boot
+
+``/var/lib/testCloud/instances/<instancename>/meta/``
+  directory containing data from which the ``<instancename>-seed.img`` is built
+
+``/var/lib/testCloud/instances/<instancename>/meta/meta-data``
+  raw meta-data for cloud-init
+
+``/var/lib/testCloud/instances/<instancename>/meta/user-data``
+  raw user-data for cloud-init
+
+
+Booting Instances
+=================
+
+The creation process for a testCloud instance roughly follows this process:
+
+ * download the referenced image, if it doesn't already exist in cache
+
+ * create an instance directory for the new instance, if an instance with the
+   same name already exists, quit with an error
+
+ * create cloud-init metadata and the qcow2 backing store for the instance
+
+ * use ``virt-install`` to create a new virtual machine, using the backing store
+   and the cloud-init ``seed.img`` as data stores.
+
+Once the instance is booted, it can be stopped, started again or deleted.
diff --git a/docs/source/index.rst b/docs/source/index.rst
new file mode 100644
--- /dev/null
+++ b/docs/source/index.rst
@@ -0,0 +1,114 @@
+.. testCloud documentation master file, created by
+   sphinx-quickstart on Wed May 20 14:59:21 2015.
+
+.. This work is licensed under the Creative Commons Attribution 4.0
+   International License. To view a copy of this license, visit
+   http://creativecommons.org/licenses/by/4.0/.
+
+==================================================
+testCloud - the best pretend cloud you'll ever use
+==================================================
+
+testCloud is a relatively simple system which is capable of booting images
+designed for cloud systems on a local system with minimial configuration.
+testCloud is desiged to be (and remain) somewhat simple, trading fancy cloud
+system features for ease of use and sanity in development.
+
+
+Installing testCloud
+====================
+
+The easiest way to install and use testCloud is to install the package from
+`the testCloud COPR <https://copr.fedoraproject.org/coprs/roshi/testCloud/>`_::
+
+  dnf enable roshi/testCloud
+  dnf install testCloud
+
+
+Using testCloud
+===============
+
+The main testCloud interface uses the terminal and the binary named
+``testcloud``. testCloud operations can be split into two major categories:
+image commands and instance commands.
+
+Image Commands
+--------------
+
+``testcloud image list``
+  List all of the images currently cached by testCloud
+
+``testcloud image destroy <image name>``
+  Remove the image named ``<image name>`` from the local image cache. Make sure
+  to replace ``<image name>`` with the name of an image which is currently
+  cached.
+
+Instance Commands
+-----------------
+
+``testcloud instance list``
+  List all of the instances currently running and spawned by testCloud. Adding
+  the ``--all`` flag will list all instances spawned by testCloud whether the
+  instance is currently running or not
+
+
+``testcloud instance create <instance name> -u <image url>``
+  Create a new testCloud instance using the name ``<instance name>`` and the
+  image stored at the url ``<image url>``. Currently supported image url types
+  are ``http(s)://`` and ``file://``. Run ``testcloud instance create --help``
+  for information on other options for image creation.
+
+
+``testcloud instance stop <instance name>``
+  Stop the instance with name ``<instance name>``
+
+``testcloud instance start <instance name>``
+  Start the instance with name ``<instance name>``
+
+``testcloud instance destroy <instance name>``
+  Destroy the instance with name ``<instance name>``. This command will fail if
+  the instance is not currently stopped
+
+
+Getting Help
+============
+
+Self service methods for asking questions and filing tickets:
+
+ * `Source Repository <https://github.com/Rorosha/testCloud>`_
+
+ * `Currently Open Issues <https://phab.qadevel.cloud.fedoraproject.org/tag/testcloud/>`_
+
+For other questions, the best places to ask are:
+
+ * `The #fedora-qa IRC channel on Freenode <http://webchat.freenode.net/?channels=#fedora-qa>`_
+
+ * `The qa-devel mailing list <https://admin.fedoraproject.org/mailman/listinfo/qa-devel>`_
+
+Licenses
+========
+
+The testCloud library is licensed as `GNU General Public Licence v2.0 or later
+<http://spdx.org/licenses/GPL-2.0+>`_.
+
+The documentation for testCloud is licensed under a `Creative Commons
+Atribution-ShareAlike 4.0 International License <https://creativecommons.org/licenses/by-sa/4.0/>`_.
+
+
+Other Documentation
+===================
+
+.. toctree::
+   :maxdepth: 2
+
+   indepth
+   api
+
+==================
+Indices and tables
+==================
+
+* :ref:`genindex`
+* :ref:`modindex`
+* :ref:`search`
+
diff --git a/tox.ini b/tox.ini
--- a/tox.ini
+++ b/tox.ini
@@ -1,2 +1,3 @@
 [flake8]
 max-line-length = 99
+exclude = conf/*,docs/source/conf.py