diff --git a/.arclint b/.arclint
--- a/.arclint
+++ b/.arclint
@@ -3,30 +3,9 @@
     "flake8": {
       "type": "flake8",
       "include": "(\\.py$)",
-      "severity": {
-          "E302": "disabled",
-          "E303": "disabled",
-          "E501": "disabled",
-          "W391": "disabled",
-
-          "E122": "advice",
-          "E124": "advice",
-          "E126": "advice",
-          "E127": "advice",
-          "E128": "advice",
-
-          "E111": "warning",
-          "E113": "warning",
-          "E129": "warning",
-          "E201": "warning",
-          "E221": "warning",
-          "E231": "warning",
-          "E251": "warning",
-          "E261": "warning",
-          "E265": "warning",
-          "E502": "warning",
-          "E711": "warning",
-          "E713": "warning"
+      "severity.rules": {
+        "(^E)": "warning",
+        "(^F)": "error"
       }
     }
   }
diff --git a/arclint.readme b/arclint.readme
--- a/arclint.readme
+++ b/arclint.readme
@@ -1,33 +1,24 @@
 The linter's behaviour is configured in the .arclint file.
 
-As the .arclint file parser does not support YAML comments, here is
-the explanation of the error codes.
+As the .arclint file parser does not support YAML comments, some documentation
+can be put here if needed. Generic arcanist linter documentation is here:
+https://secure.phabricator.com/book/phabricator/article/arcanist_lint/
 
-"E302": "disabled", # expected 2 blank lines, found 1
-"E303": "disabled", # too many blank lines (2)
-"E501": "disabled", # line too long # Try and keep it down by 120, though
-"W391": "disabled", # blank line at end of file
+Flake8
+======
+All PEP8 error codes (E* codes) are considered warnings in Phabricator, so that
+only changes to the modified lines are displayed by default (unlike errors,
+which are always displayed regardless of which lines were modified).
 
-"E122": "advice", # continuation line missing indentation or outdented
-"E124": "advice", # closing bracket does not match visual indentation
-"E126": "advice", # continuation line over-indented for hanging indent
-"E127": "advice", # continuation line over-indented for visual indent
-"E128": "advice", # continuation line under-indented for visual indent
+All PyFlakes error codes (F* codes) are considered errors, because they are
+often introduced when modifying other lines than the one in question, and we
+want to be notified of those.
 
-"E111": "warning", # indentation is not a multiple of four
-"E113": "warning", # unexpected indentation
-"E129": "warning", # visually indented line with same indent as next logical line
-"E201": "warning", # whitespace after '{'
-"E221": "warning", # multiple spaces before operator
-"E231": "warning", # missing whitespace after ','
-"E251": "warning", # unexpected spaces around keyword / parameter equals
-"E261": "warning", # at least two spaces before inline comment
-"E265": "warning", # block comment should start with '# '
-"E502": "warning", # the backslash is redundant between brackets
-"E711": "warning", # comparison to None should be 'if cond is None:'
-"E713": "warning"  # test for membership should be 'not in'
+Additional Flake8 configuration is stored in tox.ini - it contains configuration
+which is not possible to do in .arclint file.
 
+If you want to ignore a specific source code line, use '# noqa' comment. If you
+want to ignore the whole file, add '# flake8: noqa' comment. Read more
+documentation about flake8 at:
+https://flake8.readthedocs.org/
 
-To get more information about the severity levels (error, disabled,
-warning, advice), see the "Adjusting Message Severities" section at
-https://secure.phabricator.com/book/phabricator/article/arcanist_lint/
diff --git a/tox.ini b/tox.ini
new file mode 100644
--- /dev/null
+++ b/tox.ini
@@ -0,0 +1,9 @@
+# This file is present just to be able to configure flake8.
+
+[flake8]
+# .arclint does not support flake8 configuratin, see ticket
+# https://secure.phabricator.com/D10512
+# So we need to use tox.ini to configure it, flake8 automatically
+# reads this file on start and looks for this section. See
+# `flake8 --help`.
+max-line-length=99